package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.MeterReading;
import com.ruoyi.ems.domain.vo.QueryMeterReading;

import java.util.List;

/**
 * 抄记录Service接口
 * 
 * @author ruoyi
 * @date 2024-08-28
 */
public interface IMeterReadingService
{
    MeterReading selectById(Long id);

    /**
     * 查询手动抄记录列表
     *
     * @param areaCode 区域编码
     * @param deviceCode 设备编码
     * @return 手动抄记录集合
     */
    MeterReading selectLastItem(String areaCode, String deviceCode);

    /**
     * 查询手动抄记录列表
     *
     * @param queryMeterReading 查询条件参数
     * @return 手动抄记录集合
     */
    List<MeterReading> selectList(QueryMeterReading queryMeterReading);

    /**
     * 新增手动抄记录
     *
     * @param meterReadingManual 手动抄记录
     * @return 结果
     */
    int insert(MeterReading meterReadingManual);

    /**
     * 修改手动抄记录
     *
     * @param meterReadingManual 手动抄记录
     * @return 结果
     */
    int update(MeterReading meterReadingManual);

    /**
     * 删除手动抄记录
     *
     * @param id 手动抄记录主键
     * @return 结果
     */
    int deleteById(Long id);
}
